package com.bjtdba.thirdPartWares.service;

import java.io.IOException;
import java.text.ParseException;

public interface TaobaoService {
    Object selectTaobaoWaresList(String pageNum, String pageSize, String title);

    Object taobaoWaresDetail(String id) throws ParseException;

    void getTaobaoAuthorizedLoginToken(String code, String state) throws IOException;

    Object selectWaresList(String pageNum, String pageSize, String keyWords) throws IOException;

    Object selectWaresDetail(String id, String goodsId, String uid) throws IOException;

    Object dtkchangeLink(String id, String uid);

    Object saveThirdPartGood();

    Object selectTaobaoWaresListNew(String pageNum, String pageSize, String keyWords,String cid);
}
